unit uMenu;
///////////////////////////////
// версия 0,8
///////////////////////////////
// модуль главного меню
///////////////////////////////

interface

procedure MenuInit;
procedure MenuDraw;
procedure MenuProcess;

procedure MenuPanelInit;

implementation

uses uGUI,uGeneralData,OMEGA,uGame;

var MenuPanel:tMenuPanel;

procedure MenuInit;
begin

GameTasks.LoadTask(dfld+'tasks\new_game_task.txt'); //получаем список заданий
trening:=false; //сейчас неактивен режим тренировки
LoadGame;       //грузим сохранение

MenuPanelInit;

end;

procedure MenuDraw;
begin

//рисуем панель
MenuPanel.Draw;

end;

procedure MenuProcess;
begin

//обробатываем панель
MenuPanel.Process;
//и нажатия на кнопка панели
if (col_pointinaabb(mouse_x,mouse_y,@MenuPanel.Btn[1].c1))
  and (mouse_press(m_lbutton)) then NewGame;

if (col_pointinaabb(mouse_x,mouse_y,@MenuPanel.Btn[2].c1))
  and (mouse_press(m_lbutton)) then GameContinue;

if (col_pointinaabb(mouse_x,mouse_y,@MenuPanel.Btn[3].c1))
  and (mouse_press(m_lbutton)) then
begin
 scene:=sGame;
 gscene:=sTraining;
 GameInit;
end;

if (col_pointinaabb(mouse_x,mouse_y,@MenuPanel.Btn[4].c1))
  and (mouse_press(m_lbutton)) then OE_Quit;

end;

procedure MenuPanelInit;
var t1,t2:integer;
begin

//инициализируем панель меню
MenuPanel.Init('menupanel',0,0,158,scrh);
//задаём положение кнопок новая игра и продолжить
//в зависимости от текущего статуса игры
if gamestart then begin
 t1:=10;
 t2:=296;
end else begin
 t1:=148;
 t2:=10;
end;
//и добовляем на панель кнопки
MenuPanel.AddBtn('новая игра','buttoncirclnormal','bnew',10,t2,true,font);
MenuPanel.AddBtn('продолжить игру','buttoncirclnormal','bgotask',10,t1,gamestart,font);
MenuPanel.AddBtn('пройти тренировку','buttoncirclnormal','btrening',10,t1+148,true,font);
MenuPanel.AddBtn('выход','buttoncirclnormal','bquit',10,scrh-138,true,font);

end;

end.
